# -*- coding: utf8 -*-

from __future__ import unicode_literals

from datetime import datetime

parser_class = "tecan"


def test_decode_result(self):
    worklist = self.decode(
        """
        012345;A012345;450;12:01:02 01/01/2017
        LVL000000000;A1;LV0000000001;12345;1000;12:01:02 01/01/2017;W1;C1;S1;D1
        LVL000000000;A2;LV0000000002;12346;1000;13:01:02 01/01/2017;W1;C1;S1;D1
        """
    )
    expected = {
        "context": "result",
        "samples": [
            {
                "type": "patient",
                "sample_id": "012345",
                "results": [
                    {
                        "code": "TRACKINGA",
                        "value": "A012345",
                        "date": datetime(2017, 1, 1, 12, 1, 2),
                        "date_plateau": datetime(2017, 1, 1, 12, 1, 2),
                        "comments": ["Aliquote A012345, Volume: 450"],
                    }
                ],
            },
            {
                "type": "patient",
                "sample_id": "12345",
                "rack": "LVL000000000-A1",
                "results": [
                    {
                        "code": "TRACKINGS",
                        "value": "LV0000000001",
                        "date": datetime(2017, 1, 1, 12, 1, 2),
                        "comments": [
                            "Rack: LVL000000000-A1",
                            "Serotheque LV0000000001, Volume: 1000",
                            "Warehouse: W1, Cabinet: C1, Shelf: S1, Drawer: D1",
                        ],
                    }
                ],
            },
            {
                "type": "patient",
                "sample_id": "12346",
                "rack": "LVL000000000-A2",
                "results": [
                    {
                        "code": "TRACKINGS",
                        "value": "LV0000000002",
                        "date": datetime(2017, 1, 1, 13, 1, 2),
                        "comments": [
                            "Rack: LVL000000000-A2",
                            "Serotheque LV0000000002, Volume: 1000",
                            "Warehouse: W1, Cabinet: C1, Shelf: S1, Drawer: D1",
                        ],
                    }
                ],
            },
        ],
    }
    assert worklist["samples"][2] == expected["samples"][2]
